import React, { useState, useEffect } from 'react'
import { Link } from 'react-router-dom'
// import { Order } from 'Order';
// import { useAllOrders } from 'hooks'



const SearchOrder = (props: any) => {
    const { orders }  = props;

    const [searchInput, setSearchInput] = useState("");
    const [searchResult, setSearchResult] = useState<string[]>([]);

    console.log("ORDERS", orders)


    const handleSearchInput = (event: any) => {
        setSearchInput(event.target.value);
    }


    useEffect(() => {
        const filtered = orders.filter((order: any) => 
            order.id.includes(searchInput) //|| order.date.includes(searchInput)
        );
        // debugger
        setSearchResult(filtered);
    }, [searchInput]);


    return (
        <div>
            <h1>Search</h1>
            <input
                type="text"
                placeholder="Search"
                value={searchInput}
                onChange={handleSearchInput}
            />
            <ul>

                {searchResult.map((item: any, idx) => {
                    // debugger
                    return (
                        <li key={idx}>
                            <Link to={"/orders/" + item.id}>{item.id}</Link>
                        </li>
                    )
                })} 
            </ul>
        </div>
    );
}

export default SearchOrder


